 
  $(function(){	
		
		closeAll();
		
		$(".radio_yes,.radio_no").click(function(){ 
			  if($(this).is(".radio_yes")){
			    
				$(this).removeClass("radio_yes");
				$(this).addClass("radio_no"); 
			  
			  }
			  
			  if($(this).is(".radio_no")){
					var obj=  $(".radio_yes");
					obj.removeClass("radio_yes");          
					obj.addClass("radio_no"); 
					$(this).removeClass("radio_no");
			        $(this).addClass("radio_yes");
			        checkThisRadio($(this).attr("context")); 
			}
		 });
	});

//单选按钮选定后
function checkThisRadio(context){
	var a = context.split(";");
	$("#rwxz").html(chooseRight(a[0]));
	$("#rwzlx").html(chooseRight(a[1]));
	$("#textOne").val(a[3]);
	$("#textTwo").val(a[4]);
	$("#textThree").val(a[5]);
	$("#textFour").val(a[6]);
	$(".bot_btn_02").hide();
	
	if(a[2]!==''&&a[2]!=undefined&&a[2]!=null){
		if(a[2].indexOf(",")>0){
			initAllDcfs();
			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
			var array = a[2].split(",");
			for(var b=0;b<array.length;b++){
				 $("#cid_"+array[b]).removeClass().addClass("check_yes"); 
			}
		}else{
			initAllDcfs();
			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
			$("#cid_"+a[2]).removeClass().addClass("check_yes"); 
		}
	}else{
		initAllDcfs();
	}
	//
	addSelectClass();
	
	if(a[5]=='3'){
		$("#textOne").attr("disabled","disabled");
		$("#textTwo").attr("disabled","disabled");
		$("#textThree").attr("disabled","disabled");
		$("#textFour").attr("disabled","disabled");
		closeAll();
		removeSelectClass();
	}else if(a[5]=='2'){
		showAll();
		$(".bot_btn_13").hide();
		$(".bot_btn_03").hide();
		$("#textTwo").removeAttr("disabled");
		$("#textThree").removeAttr("disabled");
		$("#textFour").removeAttr("disabled");
		$("#textOne").attr("disabled","disabled");
		removeSelectClass();
	}else if(a[5]=='1'){
		showAll();
		$(".bot_btn_02").hide();
		$("#textOne").removeAttr("disabled");
		$("#textTwo").attr("disabled","disabled");
		$("#textThree").attr("disabled","disabled");
		$("#textFour").attr("disabled","disabled");
		$("#allDcfs span").unbind("click");	
		$(".check_yes,.check_no").bind("click", function(){
			  if($(this).is(".check_yes")){
					$(this).removeClass("check_yes");
					$(this).addClass("check_no"); 
				  
				  }
				  else{
						$(this).removeClass("check_no");
				        $(this).addClass("check_yes");
				}
		});	
	}
}

  
//使下拉列表和复选框不可编辑
  function removeSelectClass(){
  	$("#rwxz + div").removeClass("sel_list");
  	$("#rwzlx + div").removeClass("sel_list");
  	//删除复选框的单击事件
  	$("#allDcfs span").unbind("click");	
  }
//显示所有按钮
  function showAll(){
  	$(".bot_btn_13").show();
  	$(".bot_btn_03").show();
  	$(".bot_btn_02").show();
  }
  
//显示所有按钮
  function closeAll(){
  	$(".bot_btn_13").hide();
  	$(".bot_btn_03").hide();
  	$(".bot_btn_02").hide();
  }
//获取任务性质内容
  function chooseRight(count){
  	var name = $("#id_"+count).html();
  	return name;
  }
  
  
//初始化调查方式
  function initAllDcfs(){
  	$("#allDcfs span").each(function(){
  	    $(this).removeClass().addClass("check_no");  //打印子div的ID
  	});
  	$("#allDcfs span:eq(1)").removeClass().addClass("check_yes");
  }
  
  
//使下拉列表和复选框不可编辑
  function removeSelectClass(){
  	$("#rwxz + div").removeClass("sel_list");
  	$("#rwzlx + div").removeClass("sel_list");
  	//删除复选框的单击事件
  	$("#allDcfs span").unbind("click");	
  }

  //使下拉列表恢复编辑
  function addSelectClass(){
  	$("#rwxz + div").addClass("sel_list");
  	$("#rwzlx + div").addClass("sel_list");
  }
  
//获取任务性质内容
  function chooseRight(count){
  	var name = $("#id_"+count).html();
  	return name;
  }

  //获取任务性质编号或者子任务编号
  function getRwxzNo(text){
  	var bh = '';
  	if(text!=''&&text!=undefined){
  		$("#SHcon3 li").each(function(){
  		     if($(this).html()==text){
  		    	 bh = $(this).attr("id").replace('id_','');
  		     }
  		});
  	}
  	return bh;
  }


  //获取调查方式编号集合
  function getDcfs(){
  	var i = 20;
  	var d = '';
  	$("#allDcfs span").each(function(){
  	     if($(this).attr("class")=="check_yes"){
  	    	 d+=i+",";
  	    	 i++;
  	     }
  	});
  	if(d!=''){
  		d=d.substring(0,d.length-1);
  	}
  	return d;
  }
  
  
  




$(function(){
	
	var errCause="";
	var errFlag="";
	$("#isErrorVal").click(function(){
		if($("#isErrorVal").attr("class")=='check_no'){
			errFlag="no";
			
		}else if($("#isErrorVal").attr("class")=='check_yes'){
			var errCauseStr=$("#errorCauseStr").val();
			for(var i=1;i<8;i++){
				if(errCauseStr.charAt(i-1)=='1'){
					$("#cause"+i).attr("checked","checked");
				}
				
			}
			showDiv('error_cause');
			errFlag="yes"; 
		}
		
		$.ajax({
			type:"post",
			url:"/claimserver/inspection/clmtask/isErrorButton.do",
			data:{"claimNo":$("#errClaimNo").val(),"flag":errFlag ,"isErrorCause":errCause,"isErrorInfo":$("#error_cause_info").val()},
			error:function(){
				
			},
			success:function(data){
				
				if(data.errMassage=="success"){
					
				}
			}
		});
	});
	
	$("#error_commit").click(function(){
		
		errCause="";
		for(var i=1;i<8;i++){
			if($("#cause"+i).prop("checked")){
				errCause=errCause+"1";
			}else{
				errCause=errCause+"0";
			}
		}
		errFlag="yescommit";
		$.ajax({
			type:"post",
			url:"/claimserver/inspection/clmtask/isErrorButton.do",
			data:{"claimNo":$("#errClaimNo").val(),"flag":errFlag ,"isErrorCause":errCause,"isErrorInfo":$("#error_cause_info").val()},
			success:function(data){
				
				if(data.errMassage=="success"){
				}
			}
		});
	});
	
	
});
